﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp101
{
    public partial class Form1 : Form
    {
        int x=269;
        int buttonCounter = 0;
        Button[] buttonArray = new Button[5];
        List<Button> buttonList = new List<Button>();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Button button = new Button();
            button.Location = new Point(x, 78);
            button.Name = "myButton"+buttonCounter;
            button.Size = new Size(76, 76);
            button.TabIndex = 1;
            button.Text = "button";
            //button.UseVisualStyleBackColor = true;
            //button.BackColor = Color.Red;
            button.Click += myButtonClick;
            Controls.Add(button);
            x = x + button.Size.Width;
            buttonArray[buttonCounter] = button;
            buttonCounter++;
            buttonList.Add(button);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach(Button b in buttonArray)
            {
                b.BackColor = Color.Yellow;
            }
        }

        private void myButtonClick(object sender, EventArgs e)
        {
            Button b = (Button)sender;
            MessageBox.Show("Hi! From "+b.Name);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            foreach (Button b in buttonList)
            {
                b.BackColor = Color.Orange;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            int choice = Int32.Parse(textBox1.Text);
            Controls.Remove(buttonArray[choice - 1]);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            richTextBox1.SaveFile("mytext.txt", RichTextBoxStreamType.PlainText);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            richTextBox1.LoadFile("mytext.txt", RichTextBoxStreamType.PlainText);
            foreach (String s in richTextBox1.Lines)
                MessageBox.Show(s);
        }
    }
}
